QGIS Application - Bug report #13202
Data (Mapinfo?) related QGIS crash when saving project (NOT in qgis 1.8 though)
2015-08-10 10:47 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 21263
Description

Funny issue: loading (attached) mapinfo data in current QGIS: ok. Save the project: crash!

Then compiled QGIS 1.8: loading and saving/reloading the project: OK

Then loading this 1.8 project in master, and try to save: crash! leaving me with an empty project file...

After every crash the project file is empty.

Note that loading the file is ok: you can see and style it, there is a crash when you save the project.

Tried to save the data as shapefile but then the shapefile makes QGIS crash!

With me on Debian self compiled master and 1.8 here... could be OGR related, or just wrong data, but maybe it is just me.

Would be nicer if we sent an error instead of instant crash, even with faulty data.

Hopefully anybody dan confirm...

History

#1 - 2015-08-10 10:47 AM - Richard Duivenvoorde
- File kadgrenzen.zip added

#2 - 2015-08-10 12:15 PM - Richard Duivenvoorde

Yikes... after a fresh compile/install/restart... all is ok. No crashes anymore.

Ik anybody is willing to test, feel free, if not just close it..

#3 - 2015-08-11 01:11 AM - Harrissou Santanna
Hi,
Richard, do you mean QGIS 2.8 or 1.8?

| tried your data between master and 2.8.3 projects and couldn't reproduce a bug. With 2.8, | got a project crash once, the first time | close the project
without saving it but | couldn't reproduce it later. Not sure if it's related to the data.

#4 - 2015-08-11 07:26 AM - Richard Duivenvoorde

2024-03-20 12




- Status changed from Open to Closed

Hi, not | really compiled 1.8, but | had crashes with both 1.8, 2.10 and master. If you had no problem | will close this, as | think it was a local library/update

problem.

Thanks for checking

Files

kadgrenzen.zi 5.22 KB 2015-08-10 Richard Duivenvoorde
g p
